<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class Item extends Model
{
    use SoftDeletes;

    protected $fillable = [
        'plant_id',
        'line_id',
        'category',
        'code',
        'description',
        'hourly_quantity',
        'uom',
        'line_capacity',
    ];

    public function plant(): BelongsTo
    {
        return $this->belongsTo(Plant::class);
    }

    public function line(): BelongsTo
    {
        return $this->belongsTo(Line::class);
    }

    public function stickerMasters()
    {
        return $this->hasMany(StickerMaster::class, 'item_id', 'id');
    }

    public function productionQuantities()
    {
        return $this->hasMany(ProductionQuantity::class);
    }

    public function motorTestingMasters()
    {
        return $this->hasMany(MotorTestingMaster::class);
    }

    public function testingPanelReadings()
    {
        return $this->hasMany(TestingPanelReading::class);
    }

    public function itemCharacteristics()
    {
        return $this->hasMany(ItemCharacteristic::class, 'item_id', 'id');
    }
}
